# parallel\Sync::__construct

(1.1.0)

parallel\Sync::__construct — Construction

### Description

public parallel\Sync::__construct()

Construit un nouvel objet de synchronisation sans valeur.

public parallel\Sync::__construct(scalar `$value`)

Construit un nouvel objet de synchronisation contenant la valeur scalaire donnée.

### Exceptions

Avertissement

Lance une parallel\Sync\Error\IllegalValue si `value` n'est pas scalaire.